--- title: "View stage method settings" slug: "apigateway-stageresource-getmethod" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-stageresource-getmethod" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View stage method settings Available in Classic and VPC View the settings information of a specified stage method. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/deployments/{deployment-no}/resources/{resource-id}/methods/{method-name} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the stage belongs to - 0 - 10 characters - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API that the stage belongs to - 0 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `stage-id` | String | Required | ID of the stage whose method settings you want to view - 0 - 10 characters - See [View stage list](/docs/en/apigateway-stage-getstagelist) | | `deployment-no` | Long | Required | Deployment number of the stage - See [View stage list](/docs/en/apigateway-stage-getstagelist) | | `resource-id` | String | Required | Resource ID of the stage - 0 - 10 characters - See [View resource list](/docs/en/apigateway-resource-getresourcelist) | | `method-name` | String | Required | Method to view - `ANY` \| `GET` \| `POST` \| `PUT` \| `DELETE` \| `PATCH` \| `OPTIONS` \| `HEAD` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/***26c7***/deployments/256***/resources/***cd4q***/methods/GET' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "stageMethod" : { "resourceId" : "resourceId", "endpointCode" : "endpointCode", "resourcePath" : "resourcePath", "methodName" : "ANY", "isInherit" : true, "methodCode" : "methodCode", "endpointDomain" : "endpointDomain", "cacheTtlSec" : 0, "restUrl" : "restUrl", "throttleRps" : 1, "endpointActionId" : "endpointActionId", "invokeUrl" : "invokeUrl", "stageDeploymentNo" : 6, "endpointConfigJson" : "endpointConfigJson" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "stageMethod": { "stageDeploymentNo": 256***, "methodName": "GET", "methodCode": "0001", "resourceId": "***cd4q***", "invokeUrl": "https://***ksk9***.apigw.ntruss.com/api000/stage001/{domainCode}", "restUrl": "stage001 - GET /{domainCode}", "endpointCode": "0006", "endpointConfigJson": "{\"stream\":false,\"method\":\"GET\",\"url\":\"/{domainCode}\"}", "isInherit": true } } ```